Retrieves all used parts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_part_usage| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| article_id |
Foreign key of article. Can be empty if user keys in manually the object |
globally unique identifier | |
| user_id |
Foreign key, user that uses this part |
globally unique identifier |
Required |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| working_date |
Date when the part has been used |
date | |
| code |
Code of the part (filled by article.code or manually by the user) |
string |
Max length: 255 |
| name |
Name of the part (filled by article.name or manually by the user) |
string |
Max length: 255 |
| description |
Description of the part (filled by article.description or manually by the user) |
string |
Max length: 255 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| price |
Unit price of the part. Computed with the price logic or filled via purchase_order_details.price |
decimal number | |
| remark |
Remark / Line memo |
string |
Max length: 255 |
| purchase_order_details_id |
Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details |
globally unique identifier | |
| signed_by_company |
Object was included in a job approval and signed (readonly) |
boolean | |
| job_approval_id |
Foreign key to the approval this lines belongs |
globally unique identifier | |
| is_under_warranty |
If the system detects that line was included in the warranty, price will be 0 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "79028a53-fab5-41c6-a7e7-c3cb71c79691",
"jobs_id": "2f75e846-3d72-4931-a0b3-7569fe73f7dd",
"article_id": "50aaf78c-c3a8-4696-bc31-71ad798f37c4",
"user_id": "7c4d2106-036b-481c-81c5-46f1b34db955",
"article_stock_location_id": "6312b2ef-1bef-4543-93d7-4afe05a12ace",
"working_date": "2026-09-28T16:27:33.1437829+00:00",
"code": "sample string 7",
"name": "sample string 8",
"description": "sample string 9",
"quantity": 10.0,
"price": 11.0,
"remark": "sample string 12",
"purchase_order_details_id": "a988040e-a33c-469a-826d-215d809a4e1c",
"signed_by_company": true,
"job_approval_id": "9b81732e-cc8d-49fa-84b2-4e727a51cee4",
"is_under_warranty": true,
"modified_dateutc": "2026-09-28T16:27:33.1437829+00:00"
}